Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/py-scipy: add new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 2 Sep 2014 21:10:29 -0700

A python module for scientific computing.
---
 testing/py-scipy/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/py-scipy/APKBUILD
diff --git a/testing/py-scipy/APKBUILD b/testing/py-scipy/APKBUILD
new file mode 100644
index 0000000..c9097be
--- /dev/null
+++ b/testing/py-scipy/APKBUILD
_at_@ -0,0 +1,45 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=py-scipy
+_pkgname=scipy
+pkgver=0.14.0
+pkgrel=0
+pkgdesc="Python library for scientific computing"
+url="http://www.scipy.org"
+arch="all"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev gfortran py-numpy-dev openblas-dev py-setuptools"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://sourceforge.net/projects/scipy/files/scipy/$pkgver/scipy-$pkgver.tar.gz"
+
+_builddir="$srcdir"/scipy-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export LDFLAGS="$LDFLAGS -shared"
+	python setup.py config_fc --fcompiler=gnu95 config || return 1
+	python setup.py config_fc --fcompiler=gnu95 build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	mkdir -pm 0755 "$pkgdir"/usr/share/licenses/$package && \
+	cp LICENSE.txt "$pkgdir"/usr/share/licenses/$package || return 1
+}
+
+md5sums="d7c7f4ccf8b07b08d6fe49d5cd51f85d  scipy-0.14.0.tar.gz"
+sha256sums="4b41a3e6bf178df1c7f0ef3bfeabf1f56610329aca5dbd7b6d64da8ac9af6b14  scipy-0.14.0.tar.gz"
+sha512sums="ad1278740c1dc44c5e1b15335d61c4552b66c0439325ed6eeebc5872a1c0ba3fce1dd8509116b318d01e2d41da2ee49ec168da330a7fafd22511138b29f7235d  scipy-0.14.0.tar.gz"
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Sep 02 2014 - 21:10:29 GMT